package com.jdbernard.timestamper

import java.awt.Point
import java.awt.Rectangle
import java.awt.Toolkit
import java.util.Timer

class TimeStamperMainController {
    // these will be injected by Griffon
    def model
    def view

    Timer updateTimer

    Point mousePressRelativeToFrame

    void mvcGroupInit(Map args) {
        def notes = buildMVCGroup('NotesDialog')
        view.notesDialog = notes.view.notesDialog

        updateTimer
    }

    def exitGracefully = { evt = null ->
        app.shutdown()
    }

    def showToolsMenu = { evt = null ->

    }

    def showNotes = { evt = null ->
        view.notesDialog.visible = view.notesVisibleButton.selected
    }

    def showPunchcard = { evt = null ->

    }

    def mousePressed = { evt = null ->
        mousePressRelativeToFrame = evt?.point
    }

    def mouseDragged = { evt = null ->
        GUIUtil.componentDragged(view.frame, evt, mousePressRelativeToFrame,
            new Rectangle(Toolkit.defaultToolkit.screenSize))
    }

}
