package com.jdbernard.timestamper

import java.awt.Color
import javax.swing.BoxLayout
import net.miginfocom.swing.MigLayout

notesDialog = dialog(
    title: 'Notes',
    modal: false,
    undecorated: true,
    minimumSize: [325, 200],
    iconImage: imageIcon('/16-em-pencil.png').image,
    iconImages: [imageIcon('/16-em-pencil.png').image]
) {

    panel(
      border:lineBorder(color: Color.BLACK, thickness:1, parent:true),
      mousePressed: controller.&mousePressed,
      mouseDragged: controller.&mouseDragged,
      layout: new MigLayout('insets 5 5 5 5, fill')
    ) {
        scrollPane(constraints: 'growx, growy') {
            notesTextArea = textArea(lineWrap: true, columns: 20, rows: 5,
                wrapStyleWord: true)
        }
    }

}
